variables:
  IMAGE_TAG: $CI_REGISTRY_IMAGE/$ruby_version:latest

.build:
  stage: build
  before_script:
    - cd $ruby_version
  script:
    - docker build -t $IMAGE_TAG .
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
    - docker push $IMAGE_TAG

build_ruby26:
  extends: .build
  variables:
    ruby_version: ruby26
